package com.example.recyclerviewdemo2;

import android.view.ViewGroup;

import com.cneeds.rvhelpers.adapter.GridRecyclerAdapter;
import com.cneeds.rvhelpers.viewholder.BaseViewHolder;
import com.cneeds.rvhelpers.viewholder.ContentHolder;
import com.cneeds.rvhelpers.viewholder.TitleHolder;

import java.util.List;

public class CustomerAdapter extends GridRecyclerAdapter {
    /**
     * @param dataList
     * @param spanCount The number of columns in the grid
     */
    public CustomerAdapter(List dataList, int spanCount) {
        super(dataList, spanCount);
    }

    @Override
    public BaseViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        if (viewType == VIEW_TYPE_ITEM_HEADER) {
            // 这里返回你的标题ViewHolder
            return new TitleHolder(parent.getContext(), parent);
        } else {
            // 这里返回你的内容ViewHolder
            return new ContentHolder(parent.getContext(), parent);
        }
    }
}
