package com.cneeds.notouch;

public class NoTouchConstant {

    public static final String FOCUS_STATUS_URL = "content://com.android.systemui.statusbar.phone/Focus/1";

    public static final String FOCUS_NEED_URL = "content://com.android.systemui.statusbar.phone/Focus/2";

    public static final int FOCUS_COLUMN_INDEX = 0;

    public static final int MAX_VALUE = -2;

    public static final int INIT_KEY_CODE = -10001;

    public static class OperationConstant{
        public static final int MIN_VALID_VALUE = 0;
        public static final int INTERVAL_VALUE = 1;
        public static final int NONE_VALUE = -1;
    }

    public static class SpecialFlag{

        public static final int NO_NEED_FOCUS_FLAG = 1;

        public static final int SINGLE_LEVEL_FLAG = 2;
        //多层级选中及进入
        public static final int DOUBLE_LEVEL_HORIZONTAL_FLAG = 3;

        public static final int DOUBLE_LEVEL_VERTICAL_FLAG = 4;

        public static final int SINGLE_BAIDU_LEVEL_FLAG = 5;

        public static final int DIALOG_LEVEL_FLAG = 6;

        public static final int BAIDU_DIALOG_LEVEL_FLAG = 7;

        //新增单层类型，在第一个位置左旋focus不会主动回到SystemUI
        public static final int SINGLE_LEVEL_FLAG2 = 8;
    }

    public static class FocusStatus{
        public static final int NONE = 0;
        public static final int NEW = 0;
        public static final int RECOVER = 1;
    }

    public static class Focus{
        public static final int SYSTEM_BAR_FOCUS = 1;
        public static final int APP_FOCUS = 2;
    }

    public static class OperationFlag{
        public static final int OPERATION_NONE = 1;
        public static final int OPERATION_NO_FOCUS = 2;
        public static final int OPERATION_SELECTED = 3;
        public static final int OPERATION_ENTER = 4;
    }

    public static class ColumnName{
        public static final String COLUMN_FOCUS_STATE = "focus_state";
        public static final String COLUMN_FOCUS_NAME = "focus_name";
        public static final String COLUMN_FOCUS_NEED = "focus_need";
        public static final String COLUMN_FOCUS_KEY = "focus_key";
        public static final String COLUMN_FOCUS_TEMP = "focus_temp";
    }

    public static class OperationResult{
        public static final int SUCCESS = 0;
        public static final int SAME = 2;
        public static final int FAIL = 1;
        public static final int LOADING = 3;
    }

    public static class CoordinateLevel{
        public static final int LEVEL_0 = 0;
        public static final int LEVEL_1 = 1;
    }

    public static class OperationFailCount{
        public static final int FAIL_NONE = 0;
        public static final int FAIL_ONE = 1;
        public static final int FAIL_TWO = 2;
        public static final int FAIL_THIRD = 3;
        public static final int FAIL_FOUR = 4;
    }
}
