package com.cneeds.notouch.operation;

import static com.cneeds.notouch.NoTouchConstant.OperationConstant.INTERVAL_VALUE;
import static com.cneeds.notouch.NoTouchConstant.OperationConstant.NONE_VALUE;

public class OperationUtil {

    public static int getNextOperation(int currentValue, int maxValue){
        int tempValue = currentValue + INTERVAL_VALUE;

        if(tempValue > maxValue ){
            return NONE_VALUE;
        }

        return tempValue;
    }

    public static int getBeforeOperation(int currentValue){
        int tempValue = currentValue - INTERVAL_VALUE;

        if(tempValue <= NONE_VALUE ){
            return NONE_VALUE;
        }

        return tempValue;

    }
}
